%define upstream_name    Data-TreeDumper-Renderer-GTK
%define upstream_version 0.02

%define _requires_exceptions perl(Gtk2::TreeView)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Gtk2::TreeView renderer for Data::TreeDumper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::TreeDumper)
BuildRequires: perl(Term::Size)
BuildRequires: perl(Gtk2)
BuildRequires: x11-server-xvfb
Requires: perl(Term::Size)
BuildArch: noarch


%description
GTK-perl renderer for *Data::TreeDumper*. 

This widget is the gui equivalent of Data::TreeDumper; it will display a
perl data structure in a TreeView, allowing you to fold and unfold child
data structures and get a quick feel for what's where. Right-clicking
anywhere in the view brings up a context menu, from which the user can
choose to expand or collapse all items.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
xvfb-run make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/Data
%perl_vendorlib/auto/Data

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 510682
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 365508
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 36174
- mageia rebuild
- imported package perl-Data-TreeDumper-Renderer-GTK


* Wed Aug 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.0
+ Revision: 410151
- rebuild using %%perl_convert_version

* Sun Aug 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdv2009.0
+ Revision: 277945
- update to new version 0.02

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.01-3mdv2009.0
+ Revision: 268412
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-2mdv2009.0
+ Revision: 213803
- fix dependencies

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-1mdv2009.0
+ Revision: 213705
- import perl-Data-TreeDumper-Renderer-GTK


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-1mdv2009.0
- first mdv release
